Base de données Gramps inutilisable

Le
Philippe Merlin
Bonjour,
J'utilise le logiciel Gramps spécialiser dans la généalogie,=
ce logiciel se
sert actuellement d'une base de données de type berkeley extension grd=
b.
En rentrant de vacance je n'arrive plus à lire cette base, et
j'obtiens 'Corruption de bas niveau détectée dans la base de donn=
ée' avec un
message complémentaire qui me laisse peu d'illusion sur le futur de c=
ette
base.
Cela m'ennuie car j'avais déjà enregistré près de 1200=
personnes , es ce que
parmi la liste quel qu'un a eu ce pb et comment il l'a résolu ? ou exi=
ste
t'il un spécialiste des bases Berkeley ?
En cherchant sur Google j'ai trouvé la méthode db_dump dans un fi=
chier texte
et restauration par db_load mais au moment du db_dump j'obtiens :
db_dump: xxx.grdb: unsupported btree version number 9
db_dump: xxx.grdb: Invalid argument
En cherchant sur Google je n'ai trouvé aucune explication sur ce messa=
ge et ce
qu'il veut dire.
Merci pour votre aide.
Philippe MERLIN
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Edi Stojicevic
Le #9695771
* Philippe Merlin
Bonjour,
J'utilise le logiciel Gramps spécialiser dans la généalogie, ce logiciel se
sert actuellement d'une base de données de type berkeley extension grdb.
En rentrant de vacance je n'arrive plus à lire cette base, et
j'obtiens 'Corruption de bas niveau détectée dans la base de donnée' avec un
message complémentaire qui me laisse peu d'illusion sur le futur de cette
base.
Cela m'ennuie car j'avais déjà enregistré près de 1200 personnes , es ce que
parmi la liste quel qu'un a eu ce pb et comment il l'a résolu ? ou existe
t'il un spécialiste des bases Berkeley ?
En cherchant sur Google j'ai trouvé la méthode db_dump dans un fichier texte
et restauration par db_load mais au moment du db_dump j'obtiens :
db_dump: xxx.grdb: unsupported btree version number 9
db_dump: xxx.grdb: Invalid argument
En cherchant sur Google je n'ai trouvé aucune explication sur ce message et ce
qu'il veut dire.
Merci pour votre aide.
Philippe MERLIN



Salut,

As-tu jete un oeil ici :

http://www.gramps-project.org/wiki/index.php?title=Recover_corrupted_grdb

A+

--
. ''`. (___/) E d i S T O J I C E V I C
: :' : (='.'=) http://www.debianworld.org
`. `~' (")_(") GPG: 0x1237B032
`-

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Philippe Merlin
Le #9695761
Salut,

Le lundi 31 mars 2008, Edi Stojicevic a écrit :
* Philippe Merlin

wrote :
> Bonjour,
> J'utilise le logiciel Gramps spécialiser dans la généalogie, ce l ogiciel
> se sert actuellement d'une base de données de type berkeley extension
>
> En cherchant sur Google j'ai trouvé la méthode db_dump dans un fich ier
> texte et restauration par db_load mais au moment du db_dump j'obtiens :
> db_dump: xxx.grdb: unsupported btree version number 9
> db_dump: xxx.grdb: Invalid argument
> En cherchant sur Google je n'ai trouvé aucune explication sur ce mess age
> et ce qu'il veut dire.
> Merci pour votre aide.
> Philippe MERLIN

Salut,

As-tu jete un oeil ici :

http://www.gramps-project.org/wiki/index.php?title=Recover_corrupted_gr db

A+


Oui justement ils conseillent d'utiliser db_dump et j'obtiens le résultat ci
dessus .
Merci .
A+
Philippe MERLIN
Edi Stojicevic
Le #9695741
* Philippe Merlin
> > texte et restauration par db_load mais au moment du db_dump j'obtiens :
> > db_dump: xxx.grdb: unsupported btree version number 9
> > db_dump: xxx.grdb: Invalid argument



[...]

Ptet un probleme de version de db_dump ?
Essaye de mettre a jour peut etre ?


--
. ''`. (___/) E d i S T O J I C E V I C
: :' : (='.'=) http://www.debianworld.org
`. `~' (")_(") GPG: 0x1237B032
`-

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Jean-Michel OLTRA
Le #9695731
Bonjour,


Le lundi 31 mars 2008, Philippe Merlin a écrit...


Oui justement ils conseillent d'utiliser db_dump et j'obtiens le résultat ci
dessus .



http://pybsddb.sourceforge.net/utility/db_dump.html

Vois -r et -R, éventuellement la page de db_recover et db_verify


--
jm

A.E.L. Sarl (R.C.S CASTRES 490843240)
http://www.spidboutic.fr


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Philippe Merlin
Le #9695721
Bonjour,

Le lundi 31 mars 2008, Jean-Michel OLTRA a écrit :
Bonjour,


Le lundi 31 mars 2008, Philippe Merlin a écrit...

> Oui justement ils conseillent d'utiliser db_dump et j'obtiens le rà ©sultat
> ci dessus .

http://pybsddb.sourceforge.net/utility/db_dump.html

Vois -r et -R, éventuellement la page de db_recover et db_verify


--
jm



Merci, mais il semble que l'option -r et -R n'existe pas avec la version de
db_dump que j'ai sous lenny.
db_recover ne m'a rien donné .
Ais je à la bonne version de db_dump ? Comment peut t'on le savoir ?
Encore Merci.
Philippe MERLIN
Jean-Michel OLTRA
Le #9695701
Bonjour,


Le lundi 31 mars 2008, Philippe Merlin a écrit...


Merci, mais il semble que l'option -r et -R n'existe pas avec la version de
db_dump que j'ai sous lenny.
Ais je à la bonne version de db_dump ? Comment peut t'on le savoir ?



Je ne sais pas. Vois chez Oracle si il y a quelque chose, ou dans les
changelogs. BerkeleyDB s'installe avec libdb4.X
Vois ta version, et vois si tu peux changer de version ?

--
jm

A.E.L. Sarl (R.C.S CASTRES 490843240)
http://www.spidboutic.fr


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Jean-Michel OLTRA
Le #9695691
Bonjour,


Le lundi 31 mars 2008, Jean-Michel OLTRA a écrit...


Je ne sais pas. Vois chez Oracle si il y a quelque chose, ou dans les
changelogs. BerkeleyDB s'installe avec libdb4.X
Vois ta version, et vois si tu peux changer de version ?



Je n'ai pas vu de présence de db_dump dans les paquets Debian.
Il semblerait qu'il faille compiler les sources de la libdb pour avoir
les utilitaires ?? Depuis que Sleepycat est passé Oracle ? Il me
semblait bien avoir utilisé db_dump auparavant.

--
jm

A.E.L. Sarl (R.C.S CASTRES 490843240)
http://www.spidboutic.fr


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Philippe Merlin
Le #9695621
Bonsoir,

Le lundi 31 mars 2008, Jean-Michel OLTRA a écrit :
Bonjour,


Le lundi 31 mars 2008, Jean-Michel OLTRA a écrit...

> Je ne sais pas. Vois chez Oracle si il y a quelque chose, ou dans les
> changelogs. BerkeleyDB s'installe avec libdb4.X
> Vois ta version, et vois si tu peux changer de version ?

Je n'ai pas vu de présence de db_dump dans les paquets Debian.
Il semblerait qu'il faille compiler les sources de la libdb pour avoir
les utilitaires ?? Depuis que Sleepycat est passé Oracle ? Il me
semblait bien avoir utilisé db_dump auparavant.



Merci à tous, j'ai réussi à me sortir de ce pb qui m'ennuya it beaucoup. En
effet grâce à vous, vous avez réussi à m'ouvrir les yeu x, le lien :
http://www.gramps-project.org/wiki/index.php?title=Recover_corrupted_grdb
parlait de db_dump je l'avais utiliser sans résultat et je commenà §ais à
désespérer. En cherchant par apt-cache search berkeley, j'ai vu q u'il
existait plusieurs versions de db-util de la 4.1 à la 4.6 et en regard ant sur
le site debian chaque fois une version de db_dump différente.
En essayant la dernière version db4.4_dump j'ai réussi à ext raire dans un
fichier texte et restaurer par un db4.4_load la base de données. Et Gramps
est satisfait de la "nouvelle base de données". Moi aussi !!!
Le seul point qui me reste à éclaircir est quel est la version de db_dump et
db_load que j'ai sur mon système ? peut être un reste d'Etch. Po urquoi
Gramps ne m'a pas imposé l'installation de db4.4-util ?
A+
Encore Merci.
Philippe MERLIN
Edi Stojicevic
Le #9695551
* Philippe Merlin
Merci à tous, j'ai réussi à me sortir de ce pb qui m'ennuyait beaucoup. En
effet grâce à vous, vous avez réussi à m'ouvrir les yeux, le lien :
http://www.gramps-project.org/wiki/index.php?title=Recover_corrupted_grdb
parlait de db_dump je l'avais utiliser sans résultat et je commençais à
désespérer. En cherchant par apt-cache search berkeley, j'ai vu qu'il
existait plusieurs versions de db-util de la 4.1 à la 4.6 et en regardant sur
le site debian chaque fois une version de db_dump différente.
En essayant la dernière version db4.4_dump j'ai réussi à extraire dans un
fichier texte et restaurer par un db4.4_load la base de données. Et Gramps
est satisfait de la "nouvelle base de données". Moi aussi !!!
Le seul point qui me reste à éclaircir est quel est la version de db_dump et
db_load que j'ai sur mon système ? peut être un reste d'Etch. Pourquoi
Gramps ne m'a pas imposé l'installation de db4.4-util ?
A+
Encore Merci.
Philippe MERLIN



Et penses aux sauvegardes ;)

A+

--
. ''`. (___/) E d i S T O J I C E V I C
: :' : (='.'=) http://www.debianworld.org
`. `~' (")_(") GPG: 0x1237B032
`-

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Publicité
Poster une réponse
Anonyme